Skip to main content
GET
/
crm
/
imports
/
2026-03
/
{importId}
cURL
curl --request GET \
  --url https://api.hubapi.com/crm/imports/2026-03/{importId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mappedObjectTypeIds": [
    "<string>"
  ],
  "metadata": {
    "counters": {},
    "fileIds": [
      "<string>"
    ],
    "objectLists": [
      {
        "listId": "<string>",
        "objectType": "<string>"
      }
    ]
  },
  "optOutImport": true,
  "state": "CANCELED",
  "updatedAt": "2023-11-07T05:31:56Z",
  "importName": "<string>",
  "importRequestJson": {},
  "importSource": "API",
  "importTemplate": {
    "templateId": 123,
    "templateType": "admin_defined"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

importId
integer<int64>
required

Response

successful operation

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique identifier for this import.

mappedObjectTypeIds
string[]
required
metadata
object
required
optOutImport
boolean
required

Whether or not the import is a list of people disqualified from receiving emails.

state
enum<string>
required

The status of the import.

Available options:
CANCELED,
DEFERRED,
DONE,
FAILED,
PROCESSING,
REVERTED,
STARTED
updatedAt
string<date-time>
required

The timestamp when the import record was last updated, formatted as an ISO 8601 instant.

importName
string

The user-provided name for this import.

importRequestJson
object

The complete import request configuration as a JSON object.

importSource
enum<string>

Indicates where/how the import was initiated.

Available options:
API,
CRM_UI,
IMPORT,
MOBILE_ANDROID,
MOBILE_IOS,
SALESFORCE
importTemplate
object
Last modified on March 30, 2026